# MongoInt32::__construct

(PECL mongo >= 1.0.9)

MongoInt32::__construct — Creates a new 32-bit integer

> This extension that defines this class is deprecated. Instead, the MongoDB extension should be used. There is no equivalent for this class in the new extension.

> Instead, the new extension chooses the appropriate database type depending on the integer's value.

### Description

public MongoInt32::__construct ( string `$value` )

Creates a new 32-bit number with the given value.

### Parameters

`value`

  A number.

### Return Values

Returns a new integer.